Subject: Fwd: [PATCH] Add predicates for decoded times and time deltas

From: Paul Eggert <[email-masked]>
Date: Sun, 29 Dec 2024 11:17:33 -0800

Argh, I now see that I cc'ed the wrong bug report. It should be bug 
74869, not 74689. Forwarding this two-day-old email to the correct bug 
report. Sorry about the duplication.

-------- Forwarded Message --------
Subject: Re: [PATCH] Add predicates for decoded times and time deltas
Date: Fri, 27 Dec 2024 16:44:32 -0800
From: Paul Eggert <[email-masked]>
To: Richard Lawrence <[email-masked]>
CC: [email-masked]

What's the use case for these proposed predicates? I'm finding it hard 
to review the patch without knowing what it's for.

Surely this should be in time-date.el rather than simple.el.

The implementation of decoded-time-p seems complicated and doesn't match 
what decode-time produces. Wouldn't it be simpler to call (ignore-errors 
(equal val (decode-time (encode-time val))))?